Skip to content

List security findings

GET
/security/findings
curl --request GET \
--url 'https://shoehorn.example.com/api/v1/security/findings?severity=critical&status=open&limit=20'

Returns security findings across all entities.

severity
string
Allowed values: critical high medium low info
entity_id
string
type
string
status
string
Allowed values: open acknowledged resolved false_positive
limit
integer
default: 20
cursor
string

Paginated security findings

Media type application/json
object
findings
Array<object>
object
id
string format: uuid
entity_id
string
entity_name
string
type

E.g., missing_owner, no_readme, exposed_secret

string
severity
string
Allowed values: critical high medium low info
status
string
Allowed values: open acknowledged resolved false_positive
title
string
description
string
remediation

Suggested fix

string
source

E.g., scorecard, scanner, manual

string
created_at
string format: date-time
resolved_at
string format: date-time
pagination
object
total
integer
nextCursor
string
Example
{
"findings": [
{
"severity": "critical",
"status": "open"
}
]
}